> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hlofiys.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel a user's own booking

> Allows an authenticated user to cancel/delete their own booking.
An attempt to delete a booking belonging to another user will result in a 403 Forbidden error.
Requires user authentication.




## OpenAPI

````yaml api-reference/openapi.json delete /api/my-bookings/{booking_id}
openapi: 3.0.0
info:
  title: Tandem IT API
  version: 1.0.0
  description: API for tandem it backend
servers:
  - url: https://tandem.hlofiys.xyz
    description: Production server
security: []
tags:
  - name: Documentation
    description: API documentation endpoint
paths:
  /api/my-bookings/{booking_id}:
    parameters:
      - name: booking_id
        in: path
        description: The unique identifier of the user's own booking to delete.
        required: true
        schema:
          type: integer
          format: int64
    delete:
      tags:
        - Bookings
      summary: Cancel a user's own booking
      description: >
        Allows an authenticated user to cancel/delete their own booking.

        An attempt to delete a booking belonging to another user will result in
        a 403 Forbidden error.

        Requires user authentication.
      operationId: deleteMyBooking
      responses:
        '204':
          description: Your booking was successfully deleted
        '401':
          description: Unauthorized. User is not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: >-
            Forbidden. The user is trying to delete a booking that does not
            belong to them
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found. A booking with the specified ID was not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error. An unexpected error occurred on the server.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - BearerAuth: []
components:
  schemas:
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````